> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2organizations campaigns



## OpenAPI

````yaml https://api.osiro.com/doc post /api/v2/organizations/{orgId}/campaigns
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Booking
    description: A lead's cancel and reschedule of their booking, via the manage link.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
  - name: Billing
    description: Org-scoped checkouts, plans, trials and the Stripe billing portal.
  - name: Leads
    description: Org-scoped lead reads and actions.
  - name: Ad copy
    description: Org-scoped ad guidelines and Meta ad copy generation.
paths:
  /api/v2/organizations/{orgId}/campaigns:
    post:
      tags:
        - Campaigns
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CampaignCreate'
      responses:
        '201':
          description: The created campaign, active and owned by the caller
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignDetail'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '422':
          description: Unprocessable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    CampaignCreate:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 200
        description:
          type: string
          nullable: true
          maxLength: 2000
        landing_page_id:
          type: string
          format: uuid
      required:
        - name
    CampaignDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - active
            - archived
        landing_page:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
            is_published:
              type: boolean
          required:
            - id
            - name
            - is_published
        creator:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
              nullable: true
            initials:
              type: string
          required:
            - id
            - name
            - initials
        created_at:
          type: string
        updated_at:
          type: string
        meta_ads:
          type: object
          properties:
            ad_account_id:
              type: string
              nullable: true
              pattern: ^\d+$
            enabled_campaigns:
              type: array
              items:
                type: string
                pattern: ^\d+$
              maxItems: 5000
            enabled_ad_groups:
              type: array
              items:
                type: string
                pattern: ^\d+$
              maxItems: 5000
            enabled_ads:
              type: array
              items:
                type: string
                pattern: ^\d+$
              maxItems: 5000
          required:
            - ad_account_id
            - enabled_campaigns
            - enabled_ad_groups
            - enabled_ads
        autopilot:
          type: object
          properties:
            brief:
              type: string
              nullable: true
            enabled:
              type: boolean
          required:
            - brief
            - enabled
      required:
        - id
        - name
        - description
        - status
        - landing_page
        - creator
        - created_at
        - updated_at
        - meta_ads
        - autopilot
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.